#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-21EceANbrRXLXmNLowIlNm
key:                  persistent-test-2.0.3.5-21EceANbrRXLXmNLowIlNm
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  9a1c9aa5216981822bc638296ab6dc36
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.3/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-21EceANbrRXLXmNLowIlNm
depends:
    HUnit-1.6.1.0-AhWJ4ItV2KqIExS8jxtlOJ
    QuickCheck-2.14.2-BmAJ75208PF3IQBMR1gIGq
    aeson-1.5.5.1-14rqeM2bFsAGuo3xVmo6Kw base-4.14.1.0
    blaze-html-0.9.1.2-GmT6EINUyjHvqntCRdaGE bytestring-0.10.12.0
    conduit-1.3.4-4Px6e9Q6iCB33C0YtvArEX containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.7-1HPeiblijPkCRhI86bQzBX
    hspec-expectations-0.8.2-7OqKeVy4nvKGfLs4LUqx5T
    monad-control-1.0.2.3-Fsfaw2RAp8sU82GoY4WlR
    monad-logger-0.3.36-2uVtOXupIvFFWEwx9Hvy2L mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-13dVhtrkUyJ6AjYYdkJiOY
    persistent-template-2.9.1.0-JnjE6OgZkh7GJvHnpv8mUE
    quickcheck-instances-0.3.25.2-B48jCytE4cRHK9fnDVdZ1k
    random-1.2.0-GQ91GOkO21I1F4AUb9ijR1
    resourcet-1.2.4.2-1DyaIM7j2S98tFIrEn9sUe text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-JI9ZhR9ey9m6XGYRNPETW0
    unliftio-0.2.13.1-KK9pzgD62wCJX2PrnJPwIu
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-23W4q6NjyfvEwgc8XDyWoD

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

